Upcoming
curl --request GET \
--url https://api.themoviedb.org/3/movie/upcoming \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/upcoming"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/upcoming', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/movie/upcoming",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/movie/upcoming"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/movie/upcoming")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/movie/upcoming")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"dates": {
"maximum": "2025-01-29",
"minimum": "2025-01-08"
},
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/zOpe0eHsq0A2NvNyBbtT6sj53qV.jpg",
"genre_ids": [
28,
878,
35,
10751
],
"id": 939243,
"original_language": "en",
"original_title": "Sonic the Hedgehog 3",
"overview": "Sonic, Knuckles, and Tails reunite against a powerful new adversary, Shadow, a mysterious villain with powers unlike anything they have faced before. With their abilities outmatched in every way, Team Sonic must seek out an unlikely alliance in hopes of stopping Shadow and protecting the planet.",
"popularity": 3125.84,
"poster_path": "/mubt4bnVfpJ5lBMq93DidEuMkJr.jpg",
"release_date": "2024-12-19",
"title": "Sonic the Hedgehog 3",
"video": false,
"vote_average": 7.696,
"vote_count": 245
},
{
"adult": false,
"backdrop_path": "/dWkdmxIkH9y23s9v1PjQFhTGIwo.jpg",
"genre_ids": [
28,
18,
53
],
"id": 1043905,
"original_language": "en",
"original_title": "Dirty Angels",
"overview": "During the United States' 2021 withdrawal from Afghanistan, a group of female soldiers posing as medical relief are sent back in to rescue a group of kidnapped teenagers caught between ISIS and the Taliban.",
"popularity": 1385.471,
"poster_path": "/3O3qSGmjRGc10hMwFul8WDxKE5t.jpg",
"release_date": "2024-12-11",
"title": "Dirty Angels",
"video": false,
"vote_average": 6.886,
"vote_count": 70
},
{
"adult": false,
"backdrop_path": "/au3o84ub27qTZiMiEc9UYzN74V3.jpg",
"genre_ids": [
28,
878,
53
],
"id": 1035048,
"original_language": "en",
"original_title": "Elevation",
"overview": "A single father and two women venture from the safety of their homes to face monstrous creatures to save the life of a young boy.",
"popularity": 1225.181,
"poster_path": "/sLJqbUymYkLvoNt4E7DG2E4ia6y.jpg",
"release_date": "2024-11-07",
"title": "Elevation",
"video": false,
"vote_average": 6.283,
"vote_count": 214
},
{
"adult": false,
"backdrop_path": "/1pmXyN3sKeYoUhu5VBZiDU4BX21.jpg",
"genre_ids": [
16,
28,
878,
10751
],
"id": 1184918,
"original_language": "en",
"original_title": "The Wild Robot",
"overview": "After a shipwreck, an intelligent robot called Roz is stranded on an uninhabited island. To survive the harsh environment, Roz bonds with the island's animals and cares for an orphaned baby goose.",
"popularity": 909.544,
"poster_path": "/9w0Vh9eizfBXrcomiaFWTIPdboo.jpg",
"release_date": "2024-09-08",
"title": "The Wild Robot",
"video": false,
"vote_average": 8.376,
"vote_count": 3730,
"total_pages": 41,
"total_results": 812
}
]
}MOVIE LISTS
Upcoming
This endpoint is used to get a list of movies that are being released soon.
GET
/
movie
/
upcoming
Upcoming
curl --request GET \
--url https://api.themoviedb.org/3/movie/upcoming \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/upcoming"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/upcoming', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/movie/upcoming",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/movie/upcoming"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/movie/upcoming")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/movie/upcoming")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"dates": {
"maximum": "2025-01-29",
"minimum": "2025-01-08"
},
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/zOpe0eHsq0A2NvNyBbtT6sj53qV.jpg",
"genre_ids": [
28,
878,
35,
10751
],
"id": 939243,
"original_language": "en",
"original_title": "Sonic the Hedgehog 3",
"overview": "Sonic, Knuckles, and Tails reunite against a powerful new adversary, Shadow, a mysterious villain with powers unlike anything they have faced before. With their abilities outmatched in every way, Team Sonic must seek out an unlikely alliance in hopes of stopping Shadow and protecting the planet.",
"popularity": 3125.84,
"poster_path": "/mubt4bnVfpJ5lBMq93DidEuMkJr.jpg",
"release_date": "2024-12-19",
"title": "Sonic the Hedgehog 3",
"video": false,
"vote_average": 7.696,
"vote_count": 245
},
{
"adult": false,
"backdrop_path": "/dWkdmxIkH9y23s9v1PjQFhTGIwo.jpg",
"genre_ids": [
28,
18,
53
],
"id": 1043905,
"original_language": "en",
"original_title": "Dirty Angels",
"overview": "During the United States' 2021 withdrawal from Afghanistan, a group of female soldiers posing as medical relief are sent back in to rescue a group of kidnapped teenagers caught between ISIS and the Taliban.",
"popularity": 1385.471,
"poster_path": "/3O3qSGmjRGc10hMwFul8WDxKE5t.jpg",
"release_date": "2024-12-11",
"title": "Dirty Angels",
"video": false,
"vote_average": 6.886,
"vote_count": 70
},
{
"adult": false,
"backdrop_path": "/au3o84ub27qTZiMiEc9UYzN74V3.jpg",
"genre_ids": [
28,
878,
53
],
"id": 1035048,
"original_language": "en",
"original_title": "Elevation",
"overview": "A single father and two women venture from the safety of their homes to face monstrous creatures to save the life of a young boy.",
"popularity": 1225.181,
"poster_path": "/sLJqbUymYkLvoNt4E7DG2E4ia6y.jpg",
"release_date": "2024-11-07",
"title": "Elevation",
"video": false,
"vote_average": 6.283,
"vote_count": 214
},
{
"adult": false,
"backdrop_path": "/1pmXyN3sKeYoUhu5VBZiDU4BX21.jpg",
"genre_ids": [
16,
28,
878,
10751
],
"id": 1184918,
"original_language": "en",
"original_title": "The Wild Robot",
"overview": "After a shipwreck, an intelligent robot called Roz is stranded on an uninhabited island. To survive the harsh environment, Roz bonds with the island's animals and cares for an orphaned baby goose.",
"popularity": 909.544,
"poster_path": "/9w0Vh9eizfBXrcomiaFWTIPdboo.jpg",
"release_date": "2024-09-08",
"title": "The Wild Robot",
"video": false,
"vote_average": 8.376,
"vote_count": 3730,
"total_pages": 41,
"total_results": 812
}
]
}Authorizations
Response
200 - application/json
Successful